<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>KSPSingularValueMonitor</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="KSPSingularValueMonitor"><H1>KSPSingularValueMonitor</H1></A>
Prints the two norm of the true residual and estimation of the extreme singular values of the preconditioned problem at each iteration. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscksp.h" 
PetscErrorCode PETSCKSP_DLLEXPORT KSPSingularValueMonitor(KSP ksp,PetscInt n,PetscReal rnorm,void *dummy)
</PRE>
Collective on <A HREF="../KSP/KSP.html#KSP">KSP</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>ksp </B></TD><TD>- the iterative context
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>n  </B></TD><TD>- the iteration
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>rnorm </B></TD><TD>- the two norm of the residual
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Options Database Key</FONT></H3>
<DT><B>-ksp_singmonitor </B> -Activates <A HREF="../KSP/KSPSingularValueMonitor.html#KSPSingularValueMonitor">KSPSingularValueMonitor</A>()
<br>
<P>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
The CG solver uses the Lanczos technique for eigenvalue computation,
while GMRES uses the Arnoldi technique; other iterative methods do
not currently compute singular values.
<P>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 <A HREF="../KSP/KSP.html#KSP">KSP</A>, CG, default, monitor, extreme, singular values, Lanczos, Arnoldi
<BR>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../KSP/KSPComputeExtremeSingularValues.html#KSPComputeExtremeSingularValues">KSPComputeExtremeSingularValues</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>intermediate
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/ksp/ksp/interface/iterativ.c.html#KSPSingularValueMonitor">src/ksp/ksp/interface/iterativ.c</A>
<BR><A HREF="./index.html">Index of all KSP routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/snes/examples/tutorials/ex30.c.html">src/snes/examples/tutorials/ex30.c.html</A><BR>
</BODY></HTML>
